package io.reactivex.internal.subscriptions;

import java.util.concurrent.atomic.AtomicInteger;
import 㴹.K.Ԕ.ʬ.AbstractC2433;

public abstract class BasicIntQueueSubscription<T> extends AtomicInteger implements AbstractC2433<T> {
    public static final long serialVersionUID = -6671519529404341862L;

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public final boolean offer(T t) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    public final boolean offer(T t, T t2) {
        throw new UnsupportedOperationException("Should not be called!");
    }
}
